Debian Bug report logs - #613951
nvidia-glx-* should update-initramfs after install/upgrade.

version graph

Package: nvidia-kernel-common; Maintainer for nvidia-kernel-common is Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>; Source for nvidia-kernel-common is src:nvidia-support.

Reported by: "dE ." <de.techno@gmail.com>

Date: Fri, 18 Feb 2011 13:27:05 UTC

Severity: normal

Fixed in versions nvidia-kernel-common/20110213+1, nvidia-common/20110213+1, nvidia-support/20110515+1

Done: Andreas Beckmann <debian@abeckmann.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#613951; Package nvidia-glx. (Fri, 18 Feb 2011 13:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "dE ." <de.techno@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Fri, 18 Feb 2011 13:27:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "dE ." <de.techno@gmail.com>
To: submit@bugs.debian.org
Subject: nvidia-glx-* should update-initramfs after install/upgrade.
Date: Fri, 18 Feb 2011 18:52:55 +0530
Package: nvidia-glx
Version: 195.36.31-6

If you just install nvidia-glx-* package, things wont work out well,
the nvidia modules fail to load cause the nouveau module is loaded
from the initramfs (so blacklisting it wont work).




Added tag(s) pending. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Mon, 21 Feb 2011 16:18:11 GMT) Full text and rfc822 format available.

Reply sent to Andreas Beckmann <debian@abeckmann.de>:
You have taken responsibility. (Wed, 16 Mar 2011 16:39:22 GMT) Full text and rfc822 format available.

Notification sent to "dE ." <de.techno@gmail.com>:
Bug acknowledged by developer. (Wed, 16 Mar 2011 16:39:22 GMT) Full text and rfc822 format available.

Message #12 received at 613951-close@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: 613951-close@bugs.debian.org
Subject: Bug#613951: fixed in nvidia-common 20110213+1
Date: Wed, 16 Mar 2011 16:34:00 +0000
Source: nvidia-common
Source-Version: 20110213+1

We believe that the bug you reported is fixed in the latest version of
nvidia-common, which is due to be installed in the Debian FTP archive:

nvidia-common_20110213+1.dsc
  to contrib/n/nvidia-common/nvidia-common_20110213+1.dsc
nvidia-common_20110213+1.tar.gz
  to contrib/n/nvidia-common/nvidia-common_20110213+1.tar.gz
nvidia-common_20110213+1_i386.deb
  to contrib/n/nvidia-common/nvidia-common_20110213+1_i386.deb
nvidia-kernel-common_20110213+1_i386.deb
  to contrib/n/nvidia-common/nvidia-kernel-common_20110213+1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 613951@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Beckmann <debian@abeckmann.de> (supplier of updated nvidia-common package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 22 Feb 2011 10:44:27 -0800
Source: nvidia-common
Binary: nvidia-common nvidia-kernel-common
Architecture: source i386
Version: 20110213+1
Distribution: unstable
Urgency: low
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Changed-By: Andreas Beckmann <debian@abeckmann.de>
Description: 
 nvidia-common - NVIDIA binary graphics driver support files
 nvidia-kernel-common - NVIDIA binary kernel module support files
Closes: 613951
Changes: 
 nvidia-common (20110213+1) unstable; urgency=low
 .
   [ Andreas Beckmann ]
   * Rename source package to nvidia-common.
   * Add debconf/po-debconf infrastructure to interactively resolve conflicts
     with previous usage of the nvidia-installer.
   * Add nvidia-common package that cleans up old installations that were done
     using nvidia-installer and prevents using nvidia-installer again.  Using
     nvidia-installer and Debian packages at the same time does not work.
   * The nvidia-common package is intended to be added to the Pre-Depends of
     most other nvidia-graphics-drivers packages, including the legacy drivers,
     nvidia-settings and nvidia-xconfig.
   * When configuring nvidia-common check for /usr/bin/nvidia-installer and ask
     the user whether to run 'nvidia-installer --uninstall'.  If that fails,
     offer to just delete the remaining files.  If the user chooses to do the
     cleanup himself, the configuration fails as long as nvidia-installer is
     still found on the system, blocking installation of nvidia-glx and related
     packages.
   * Install a pre-install hook for the nvidia-installer, giving a warning to
     users running a NVIDIA-Linux-*.run file directly while Debian packages
     providing the driver are installed.  This hook fails intentionally, but
     unfortunately the default choice if the hook failed is to continue anyway.
     Therefore try to kill the nvidia-installer process.
   * Add to nvidia-common the new script check-for-conflicting-opengl-libraries
     to be called from the postinst of nvidia-glx{,-legacy-*} to clean up
     conflicting ancient copies of the OpenGL libraries.  ldconfig usually
     picks up these old variants and breaks the libGL.so.* symlinks.
     (Currently the conflicting libraries are moved to
     /var/lib/nvidia-backup.XXXXXX instead of deleting them.)
   * nvidia-kernel-common.postinst: run update-initramfs -u to activate
     blacklisting of nouveau module.  (Closes: #613951)
   * nvidia-kernel-common.postrm: run update-initramfs -u after purging to
     remove the nouveau blacklisting from the initrd.
   * Switch to debhelper 8.1 to get support for package.maintscript files.
Checksums-Sha1: 
 1f3aab47c4baf5bcc2d167f0025537d9a58590b5 1361 nvidia-common_20110213+1.dsc
 84600cfab11ec473d8209f01c1ef697678d7a340 9138 nvidia-common_20110213+1.tar.gz
 ad86c414be81d611345b5e8dfea41c3c20b7148a 8328 nvidia-common_20110213+1_i386.deb
 fa69044427970a97247c616d02620723086c5278 7570 nvidia-kernel-common_20110213+1_i386.deb
Checksums-Sha256: 
 da577ece506f6fdb8a65dffbcc6ffaa4c86e0bcd257ce19e1b7b64575cc9d851 1361 nvidia-common_20110213+1.dsc
 63ddf007bd452ee4e60f2cbad709f5f49fbc822dbdd7adf086efd035042224f0 9138 nvidia-common_20110213+1.tar.gz
 a249339d8dcecbbb9494c04f46192ee349c25b0bc73aad1c90fc081bd59923fb 8328 nvidia-common_20110213+1_i386.deb
 b30dbcb2cab71fbfbaec5cc5b7f80bf4cf49565bf37a2e817f7cf5858e43aab0 7570 nvidia-kernel-common_20110213+1_i386.deb
Files: 
 76432696105a1be2de5e4e4dcdedaa8f 1361 contrib/misc optional nvidia-common_20110213+1.dsc
 752d3f9fdc4ad802ce0ce196cc470853 9138 contrib/misc optional nvidia-common_20110213+1.tar.gz
 6dc7ab28b9125be5096d7ed0739a7d17 8328 contrib/misc optional nvidia-common_20110213+1_i386.deb
 f2d228e656e26845835da95426bb4c14 7570 contrib/kernel optional nvidia-kernel-common_20110213+1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBCAAGBQJNZATzAAoJEH2AMVxXNt51trIH/05KbSves7mcflKz1B2XQyvT
9uC4JaleQj7TcaQUxtNFTR47hL4MffmeBfmUXAFD6xoGnCOiK9PX0J7wugBov1mQ
T7PVVUur7/Voh+8RKrYKMFQssJiwyHkmxOWRWQ5l33CDrKO9fIjr90yYBcVB78Wv
ih3bxLimweE3f4f5TF1iB1WiuiRZujacF4XOc7KWDUSBBAu2hMbV2ftCvxB/urTB
v8UILyTrq2rcD/0Al2LfU+q0N3UT7lZSw2SxL2cZhf4Y2sRMlJ8OSxm9KlRFPLmS
/GK+5sSTebsHp9HPCTq59tPg75QiufTJ1+FQVzCTjqAzt5kpgpIKfcPT4yMUgsA=
=RCjh
-----END PGP SIGNATURE-----





Bug reassigned from package 'nvidia-glx' to 'nvidia-kernel-common'. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 14 May 2011 10:06:08 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions nvidia-graphics-drivers/195.36.31-6. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 14 May 2011 10:06:09 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions nvidia-common/20110213+1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 14 May 2011 10:06:10 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions nvidia-common/20110213+1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 14 May 2011 16:45:04 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions nvidia-kernel-common/20110213+1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Tue, 17 May 2011 12:03:54 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions nvidia-support/20110515+1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Mon, 30 May 2011 10:03:24 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 26 Aug 2011 07:35:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:08:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.